Loading...
Searching...
No Matches
BALL::ResourceEntry::IteratorTraits_ Class Reference

`#include <BALL/FORMAT/resourceFile.h>`

## Public Member Functions

| IteratorTraits_ ()
| IteratorTraits_ (const ResourceEntry &entry)
| IteratorTraits_ (const IteratorTraits_ &traits, bool=true)
virtual | ~IteratorTraits_ ()
const IteratorTraits_ & | operator= (const IteratorTraits_ &traits)
ResourceEntry * | getContainer ()
const ResourceEntry * | getContainer () const
bool | isSingular () const
IteratorPosition & | getPosition ()
const IteratorPosition & | getPosition () const
bool | operator== (const IteratorTraits_ &traits) const
bool | operator!= (const IteratorTraits_ &traits) const
bool | isValid () const
void | invalidate ()
void | toBegin ()
bool | isBegin () const
void | toEnd ()
bool | isEnd () const
ResourceEntry & | getData ()
const ResourceEntry & | getData () const
void | forward ()
Size | getDepth () const

## Detailed Description

Definition at line 321 of file resourceFile.h.

## Constructor & Destructor Documentation

## IteratorTraits_() [1/3]

BALL::ResourceEntry::IteratorTraits_::IteratorTraits_ | ( |  | ) |

inline

Definition at line 327 of file resourceFile.h.

## IteratorTraits_() [2/3]

BALL::ResourceEntry::IteratorTraits_::IteratorTraits_ | ( | const ResourceEntry & | entry | ) |

inline

Definition at line 336 of file resourceFile.h.

## IteratorTraits_() [3/3]

BALL::ResourceEntry::IteratorTraits_::IteratorTraits_ | ( | const IteratorTraits_ & | traits,
|  | bool | = true )

inline

Definition at line 345 of file resourceFile.h.

## ~IteratorTraits_()

virtual BALL::ResourceEntry::IteratorTraits_::~IteratorTraits_ | ( |  | ) |

inline virtual

Definition at line 356 of file resourceFile.h.

## Member Function Documentation

## forward()

void BALL::ResourceEntry::IteratorTraits_::forward | ( |  | ) |

inline

Definition at line 459 of file resourceFile.h.

## getContainer() [1/2]

ResourceEntry * BALL::ResourceEntry::IteratorTraits_::getContainer | ( |  | ) |

inline

Definition at line 378 of file resourceFile.h.

## getContainer() [2/2]

const ResourceEntry * BALL::ResourceEntry::IteratorTraits_::getContainer | ( |  | ) | const

inline

Definition at line 383 of file resourceFile.h.

## getData() [1/2]

ResourceEntry & BALL::ResourceEntry::IteratorTraits_::getData | ( |  | ) |

inline

Definition at line 449 of file resourceFile.h.

## getData() [2/2]

const ResourceEntry & BALL::ResourceEntry::IteratorTraits_::getData | ( |  | ) | const

inline

Definition at line 454 of file resourceFile.h.

## getDepth()

Size BALL::ResourceEntry::IteratorTraits_::getDepth | ( |  | ) | const

inline

Definition at line 492 of file resourceFile.h.

## getPosition() [1/2]

IteratorPosition & BALL::ResourceEntry::IteratorTraits_::getPosition | ( |  | ) |

inline

Definition at line 393 of file resourceFile.h.

## getPosition() [2/2]

const IteratorPosition & BALL::ResourceEntry::IteratorTraits_::getPosition | ( |  | ) | const

inline

Definition at line 398 of file resourceFile.h.

## invalidate()

void BALL::ResourceEntry::IteratorTraits_::invalidate | ( |  | ) |

inline

Definition at line 421 of file resourceFile.h.

## isBegin()

bool BALL::ResourceEntry::IteratorTraits_::isBegin | ( |  | ) | const

inline

Definition at line 434 of file resourceFile.h.

## isEnd()

bool BALL::ResourceEntry::IteratorTraits_::isEnd | ( |  | ) | const

inline

Definition at line 444 of file resourceFile.h.

## isSingular()

bool BALL::ResourceEntry::IteratorTraits_::isSingular | ( |  | ) | const

inline

Definition at line 388 of file resourceFile.h.

## isValid()

bool BALL::ResourceEntry::IteratorTraits_::isValid | ( |  | ) | const

inline

Definition at line 413 of file resourceFile.h.

## operator!=()

bool BALL::ResourceEntry::IteratorTraits_::operator!= | ( | const IteratorTraits_ & | traits | ) | const

inline

Definition at line 408 of file resourceFile.h.

## operator=()

const IteratorTraits_ & BALL::ResourceEntry::IteratorTraits_::operator= | ( | const IteratorTraits_ & | traits | ) |

inline

Definition at line 361 of file resourceFile.h.

## operator==()

bool BALL::ResourceEntry::IteratorTraits_::operator== | ( | const IteratorTraits_ & | traits | ) | const

inline

Definition at line 403 of file resourceFile.h.

## toBegin()

void BALL::ResourceEntry::IteratorTraits_::toBegin | ( |  | ) |

inline

Definition at line 428 of file resourceFile.h.

## toEnd()

void BALL::ResourceEntry::IteratorTraits_::toEnd | ( |  | ) |

inline

Definition at line 439 of file resourceFile.h.